Bug 456068 - Navigation between desktops using keyboard does not work in Desktop Grid
Summary: Navigation between desktops using keyboard does not work in Desktop Grid
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: effects-desktop-grid (show other bugs)
Version: 5.25.1
Platform: Neon Packages Linux
: VHI normal with 1 vote (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords: accessibility, regression
Depends on:
Blocks:
 
Reported: 2022-06-28 09:26 UTC by Andrei Rybak
Modified: 2022-07-20 22:09 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.25.4


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrei Rybak 2022-06-28 09:26:18 UTC
SUMMARY
Can't use arrow keys to switch between virtual desktops when using the Desktop Grid effect

STEPS TO REPRODUCE
1. Ensure there are at least two virtual desktops (System Settings > Workspace > Workspace Behavior > Virtual Desktops)
2. Enable effect "Desktop Grid" (System Settings > Workspace > Workspace Behavior > Desktop Effects > Window Management)
3. Activate "Desktop Grid" (default shortcut is Ctrl+F8)
4. Press arrow keys

OBSERVED RESULT
There is no visible change of the selection of the Virtual Desktop. Sometimes, an outline (corresponding to the chosen accent color of the color scheme) appears on one of the windows in the _first_ virtual desktop. I couldn't reliably reproduce how the selection of _windows_ instead of _desktops_ is activated.

EXPECTED RESULT
A visible selection of one of Virtual Desktops starts. All other Virtual Desktops become a bit darker to signify that they are _not_ selected.

SOFTWARE/OS VERSIONS
Operating System: KDE neon 5.25
KDE Plasma Version: 5.25.1
KDE Frameworks Version: 5.95.0
Qt Version: 5.15.5
Kernel Version: 5.13.0-51-generic (64-bit)
Graphics Platform: X11
Processors: 8 × Intel® Core™ i5-8250U CPU @ 1.60GHz
Memory: 7.7 GiB of RAM
Graphics Processor: Mesa Intel® UHD Graphics 620
Manufacturer: Dell Inc.
Product Name: Inspiron 5570

ADDITIONAL INFORMATION
- Broke after upgrading KWin from `5.24.5-0xneon+20.04+focal+release+build63` to `5.25.1-0xneon+20.04+focal+release+build72`.
Comment 1 Nate Graham 2022-06-28 18:32:25 UTC
Should be fixed in 5.25.2.
Comment 2 Martin 2022-07-09 17:22:12 UTC
Still experiencing this bug as originally described in the report after updating to 5.25.2

Operating System: Arch Linux
KDE Plasma Version: 5.25.2
KDE Frameworks Version: 5.95.0
Qt Version: 5.15.5
Kernel Version: 5.18.9-arch1-1 (64-bit)
Graphics Platform: X11
Processors: 4 × Intel® Core™ i5-7200U CPU @ 2.50GHz
Memory: 7,5 GiB of RAM
Graphics Processor: Mesa Intel® HD Graphics 620
Manufacturer: Dell Inc.
Product Name: XPS 13 9360
Comment 3 Nate Graham 2022-07-12 16:35:44 UTC
Yeah my bad.
Comment 4 Vlad Zahorodnii 2022-07-19 11:02:27 UTC
Git commit 80fb71378749c7b7ef4eb8cc82cc575058d68174 by Vlad Zahorodnii, on behalf of David Edmundson.
Committed on 19/07/2022 at 10:35.
Pushed by vladz into branch 'master'.

Support keyboard navigation between windows across desktops

If a DesktopView doesn't handle a keyboard navigation event it
propagates to main which then focusses the next desktop view and the
relevant window.

Empty desktops can also be selected.

M  +4    -0    src/effects/desktopgrid/qml/DesktopView.qml
M  +63   -0    src/effects/desktopgrid/qml/main.qml

https://invent.kde.org/plasma/kwin/commit/80fb71378749c7b7ef4eb8cc82cc575058d68174
Comment 5 Vlad Zahorodnii 2022-07-19 11:08:52 UTC
Git commit 84277885b94485b5a0623629841acb3d5e02590a by Vlad Zahorodnii, on behalf of David Edmundson.
Committed on 19/07/2022 at 11:08.
Pushed by vladz into branch 'Plasma/5.25'.

Support keyboard navigation between windows across desktops

If a DesktopView doesn't handle a keyboard navigation event it
propagates to main which then focusses the next desktop view and the
relevant window.

Empty desktops can also be selected.


(cherry picked from commit 80fb71378749c7b7ef4eb8cc82cc575058d68174)

M  +4    -0    src/effects/desktopgrid/qml/DesktopView.qml
M  +63   -0    src/effects/desktopgrid/qml/main.qml

https://invent.kde.org/plasma/kwin/commit/84277885b94485b5a0623629841acb3d5e02590a
Comment 6 David Edmundson 2022-07-19 11:14:50 UTC
Worth mentioning that there's a potential follow-up, I allowed selecting an empty desktop but there's no visual indicator when that's the case.